
Redmine - Defect #35002

Fix MS SQL on Rails 6.1

2021-04-02 07:56 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

MS SQL support is broken for now because the gem supports only Rails 6.0, but I'm confident that will be fixed in the following weeks

(there are active discussions/PRs).

https://github.com/rails-sqlserver/activerecord-sqlserver-adapter/pull/861

% bundle update

Fetching gem metadata from https://rubygems.org/..........

Resolving dependencies...

Bundler could not find compatible versions for gem "activerecord":

  In Gemfile:

    activerecord-sqlserver-adapter (~> 6.0.1) was resolved to 6.0.1, which depends on

      activerecord (~> 6.0.0)

    rails (= 6.1.3.1) was resolved to 6.1.3.1, which depends on

      activerecord (= 6.1.3.1)

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 21029 - 2021-06-09 01:11 - Marius BĂLTEANU

Update activerecord-sqlserver-adapter gem to 6.1.0 (#29914, #35002).

History

#1 - 2021-04-02 07:57 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2021-06-07 08:31 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#3 - 2021-06-09 01:15 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed

Version 6.1.0 with support for Rails 6.1 was released 4 days ago: 

https://github.com/rails-sqlserver/activerecord-sqlserver-adapter/blob/v6.1.0.0/CHANGELOG.md#v6100

All tests pass on MS SQL on my custom CI: https://gitlab.com/redmine-org/redmine/-/jobs/1329488638
